package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * UserRequest -  用户查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserFindRequest extends BaseFindRequest {

    /**
     * 用户账户
     */
    private String userName;

    /**
     * 用户代码
     */
    private String userCode;

    /**
     * 用户别名
     */
    private String userAlias;

    /**
     * 用户状态
     */
    @Dict(name = "USER_STATUS")
    private String userStatus;

    /**
     * 部门主键
     */
    private Long deptId;

    /**
     * 部门代码
     */
    private String deptCode;

    /**
     * 部门名称
     */
    private String deptName;

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserAlias() {
        return this.userAlias;
    }

    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias;
    }

    public String getUserStatus() {
        return this.userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
